package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLColumnPrimaryKey extends SQLConstraintImpl implements SQLColumnConstraint {
   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.getName());
      }

      visitor.endVisit(this);
   }

   public SQLColumnPrimaryKey clone() {
      SQLColumnPrimaryKey x = new SQLColumnPrimaryKey();
      super.cloneTo((SQLConstraintImpl)x);
      return x;
   }
}
